Package: org.codehaus.groovy.classgen.asm

## [Java] Class AssertionWriter

- org.codehaus.groovy.classgen.asm.AssertionWriter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `AssertionWriter(WriterController wc)`
    `` | `void` | `disableTracker()`
    `` | `void` | `record(Expression expression)`
    `` | `void` | `record(Token op)`
    `` | `void` | `reenableTracker()`
    `` | `void` | `writeAssertStatement(AssertStatement statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public def AssertionWriter(WriterController wc)

    - #### public void disableTracker()

    - #### public void record(Expression expression)

    - #### public void record(Token op)

    - #### public void reenableTracker()

    - #### public void writeAssertStatement(AssertStatement statement)